@import "../../../style/index.scss";


.gallery-slider{
  position: relative;

  padding: 20px;

  &__images{
    position: relative;
    display: flex;
    overflow: hidden;

    max-width: 100%;
    height: 500px;
  }

  &__img{
    position: absolute;

    width: 100%;
    height: 500px;

    flex-shrink: 0;

    background-size: cover;
    background-position: center;
    background-image: url('https://shkoladnepr4.dnepredu.com/uploads/org2602/user_98024/photogalery_1642542469_1381216614.jpg');
    
    @include animate;
  }

  &:hover .gallery-slider__arrow{
    opacity: 1;
  }

  &__arrow:hover .gallery-slider__arrow-box{
    border-top-color: $turquoise;
  }

  &__arrow-box{
    position: absolute;

    top: calc(50% - 15px);

    border-left: transparent solid 30px;
    border-top: $white solid 30px;
    border-right: transparent solid 30px;

    @include animate;
  }
  
  &__arrow{
    z-index: 99999;
    position: absolute;
    top: 20px;

    width: 10%;
    height: calc( 100% - 40px);

    opacity: 0;
    background-color: $blackTransparent40;

    @include animate;
  }
  
  &__arrow-right{
    right: 20px;
  }

  &__arrow-left{
    left: 20px;
  }

  &__arrow-right > &__arrow-box{
    right: calc(50% - 30px);
    transform: rotate(-90deg);
  }

  &__arrow-left > &__arrow-box{
    left: calc(50% - 30px);

    transform: rotate(90deg);
  }

  &__arrow-disabled,
  &__arrow:hover .gallery-slider__arrow-disabled{
    border-top-color: rgb(130, 130, 130);
  }
}

@media(max-width: 800px){
  .gallery-slider{
    &__img,
    &__images{
      height: 350px;
    }
  }
}

@media(max-width: 610px){
  .gallery-slider{
    display: none;
  }
}